Great News - Themler v.547 Update

Support Team
Support Team posted this 3 weeks ago

Great news - Themler v.547 update is ready!

Changes in this version include:

  • Shortcodes support for Joomla 3 and PHP 8
  • Error processing support for Joomla 3 and PHP 8
  • Module rendering support for Joomla 3 and PHP 8
  • Minor fixes for Joomla 4

Themler for Joomla 4 default updated theme will be available next week. It should be then re-downloaded from https://themler.io/Download/Joomla4 and installed on your website.

This means that there are some changes yet to be done for full PHP 8 support for Joomla 3 but in general it should work, and there are more fixes to be included for Joomla 4. All this is expected in the following updates.

Themler Team

Great news - Themler v.547 update is ready! Changes in this version include: - Shortcodes support for Joomla 3 and PHP 8 - Error processing support for Joomla 3 and PHP 8 - Module rendering support for Joomla 3 and PHP 8 - Minor fixes for Joomla 4 Themler for Joomla 4 default updated theme will be available next week. It should be then re-downloaded from https://themler.io/Download/Joomla4 and installed on your website. This means that there are some changes yet to be done for full PHP 8 support for Joomla 3 but in general it should work, and there are more fixes to be included for Joomla 4. All this is expected in the following updates. Themler Team

Last edited 3 weeks ago by Support Team

Vote to pay developers attention to this features or issue.
36 Comments
Order By: Standard | Newest
Support Team
Support Team posted this yesterday

Hello Michiel,

The menu issues in Joomla 4 are fixed in the latest update. There are still some changes to be done, so far this version is in Beta.

Sincerely,
Nettie

Hello Michiel, The menu issues in Joomla 4 are fixed in the latest update. There are still some changes to be done, so far this version is in Beta. Sincerely, Nettie
Support Team
Support Team posted this yesterday

Hello Peter,

Thanks for letting us know!

Sincerely,
Nettie

Hello Peter, Thanks for letting us know! Sincerely, Nettie
info295
21 Posts
info295 posted this 2 days ago

Hi Nettie,

Any news about the Menu positions?? We need this option to build a website for a customer... and this is the last bit we need to finish the job....

Love to hear good news ;)

Regards,
Michiel

Hi Nettie, Any news about the Menu positions?? We need this option to build a website for a customer... and this is the last bit we need to finish the job.... Love to hear good news ;) Regards, Michiel
peter.lind
10 Posts
peter.lind posted this 2 days ago

Hi Nettie, - I AM SO SORRY!!!

I had installed a component "Widgetkit for Joomla". This caused the 500 error when I updated the template and then switched to PHP 8. After I`ve deactivated Widgetkit (I have to upgrade this component for PHP 8) everything is working fine!

Thanks a lot for your quick response!

Kind regards

Peter

Hi Nettie, - I AM SO SORRY!!! I had installed a component "Widgetkit for Joomla". This caused the 500 error when I updated the template and then switched to PHP 8. After I`ve deactivated Widgetkit (I have to upgrade this component for PHP 8) everything is working fine! Thanks a lot for your quick response! Kind regards Peter
Support Team
Support Team posted this 2 days ago

Hello Peter,

Could you please also provide temporary access to your website in a separate private topic, for investigation?

Sincerely,
Nettie

Hello Peter, Could you please also provide temporary access to your website in a separate private topic, for investigation? Sincerely, Nettie
Support Team
Support Team posted this 2 days ago

pdg.design,

Could you please create a new private topic with access to your website with the issue? It isn't reproducible for ma in Joomla 4 and PHP 8.

Sincerely,
Nettie

pdg.design, Could you please create a new private topic with access to your website with the issue? It isn't reproducible for ma in Joomla 4 and PHP 8. Sincerely, Nettie
peter.lind
10 Posts
peter.lind posted this 2 days ago

Hi, I tried to update a Joomla 3.10.10 Site via "Beta updates" to Version 550. After switching to PHP 8.0 I get an HTTP ERROR 500 on the Frontend and also on the Configuration Panel of the template, For the use of "Beta updates" i had to renew my subscription but nothing works! Please find a solution für PHP 8.0 quickly!!! Kind regards - Peter

Hi, I tried to update a Joomla 3.10.10 Site via "Beta updates" to Version 550. After switching to PHP 8.0 I get an HTTP ERROR 500 on the Frontend and also on the Configuration Panel of the template, For the use of "Beta updates" i had to renew my subscription but nothing works! Please find a solution für PHP 8.0 quickly!!! Kind regards - Peter
pdg.design
280 Posts
pdg.design posted this 5 days ago

Hi!
After update to last version 550 (administrator/index.php?option=com_templates&view=style&layout=edit&id=23&editor=1&theme=allo_hebrew&ver=550#) in Joomla4 and set PHP 8 I get error on all pages
0 - call_user_func_array(): Argument #1 ($callback) must be a valid callback, no array or string given.
Any solution?
Is version 550 is finished for Joomla4?
Is was solved problem for 2 templates on one site (for example in Multilanguage site)?

Hi! After update to last version 550 (administrator/index.php?option=com_templates&view=style&layout=edit&id=23&editor=1&theme=allo_hebrew&ver=550#) in Joomla4 and set PHP 8 I get error on all pages **0 - call_user_func_array(): Argument #1 ($callback) must be a valid callback, no array or string given.** Any solution? Is version 550 is finished for Joomla4? Is was solved problem for 2 templates on one site (for example in Multilanguage site)?

Last edited 5 days ago by pdg.design

Werbeagentur Schulz-Design
78 Posts
Werbeagentur Schulz-Design posted this 2 weeks ago

Hello Nettie,
how come I was able to update one template to v 550 but not all the others?
Sincerely,
Thorsten

Update:
I found out that in the URL you have to replace '...&ver=547' with '...&ver=550'. Then you will be asked if you want to install the beta update. Then the Themler version is 550 and you can upgrade to PHP 8.

Hello Nettie, how come I was able to update one template to v 550 but not all the others? Sincerely, Thorsten Update: I found out that in the URL you have to replace '...&ver=547' with '...&ver=550'. Then you will be asked if you want to install the beta update. Then the Themler version is 550 and you can upgrade to PHP 8.

Last edited 2 weeks ago by Werbeagentur Schulz-Design

copywriter
64 Posts
copywriter posted this 2 weeks ago

Hello, this is great news, I hope that WordPress will improve soon. It would also be great for Themler to improve on other options that users ask for. E.g. The eshop deserves a lot of improvement, the preview images in the lightbox do not work, only in the zoom function, small product previews are not sharp, etc. Are you planning any larger additions of new functions?

Hello, this is great news, I hope that WordPress will improve soon. It would also be great for Themler to improve on other options that users ask for. E.g. The eshop deserves a lot of improvement, the preview images in the lightbox do not work, only in the zoom function, small product previews are not sharp, etc. Are you planning any larger additions of new functions?
Support Team
Support Team posted this 2 weeks ago

Hello,

The default Themler theme for Joomla 4 is updated, but there is already a new one on its way, with more fixes, so we recommend to wait a little bit for the newest one.

In general, the recommended procedure is to update the theme first and then to update PHP.

Sincerely,
Nettie

Hello, The default Themler theme for Joomla 4 is updated, but there is already a new one on its way, with more fixes, so we recommend to wait a little bit for the newest one. In general, the recommended procedure is to update the theme first and then to update PHP. Sincerely, Nettie
emperor
13 Posts
emperor posted this 2 weeks ago

Hello, and what about Joomla 4 default updated theme? It supposed to be available last week...

Hello, and what about Joomla 4 default updated theme? It supposed to be available last week...
Seppe
210 Posts
Seppe posted this 2 weeks ago

I have over 20 websites already updated to J3.10.10
They all have Themler v544 for now.
All running on PHP7.4
As far as I know, they all have the beta-updates activated.

Wat is the best order to do ?
First update the theme to V547? or first upgrade to PHP8.0 (or higher) ?
edit: it seems to be v550 already...

I have over 20 websites already updated to J3.10.10 They all have Themler v544 for now. All running on PHP7.4 As far as I know, they all have the beta-updates activated. Wat is the best order to do ? First update the theme to V547? or first upgrade to PHP8.0 (or higher) ? edit: it seems to be v550 already...

Last edited 2 weeks ago by Seppe

Виктор
105 Posts
Виктор posted this 2 weeks ago

Добрый день, Виктор,

Немного странно, потому что обычно такое помогает - чистить кеш и перезапустить тему. Может ли быть, что эта тема очень старая? Версию можно проверить через Help (?) в правом верхнем углу темы >> About.

Sincerely,
Nettie

Добрый день Nettie, сайт Joomla 3.10.10 сегодня пришло бета-обновление themler 550, работает на PHP 8 и PHP 8.1 нормально, спасибо.

> Добрый день, Виктор, > > Немного странно, потому что обычно такое помогает - чистить кеш и перезапустить тему. Может ли быть, что эта тема очень старая? Версию можно проверить через Help (?) в правом верхнем углу темы >> About. > > Sincerely, > Nettie Добрый день Nettie, сайт Joomla 3.10.10 сегодня пришло бета-обновление themler 550, работает на PHP 8 и PHP 8.1 нормально, спасибо.
jantahu8
1 Posts
jantahu8 posted this 2 weeks ago

I get the same error messages as @AKSearch

I get the same error messages as @AKSearch
Werbeagentur Schulz-Design
78 Posts
Werbeagentur Schulz-Design posted this 2 weeks ago

Hello Nettie,

Have you updated the theme first, and then PHP to 8, or vice versa?

Of course I first updated the theme, then cleared the cache and only then the PHP version.

Sincerely,
Thorsten

Hello Nettie, > Have you updated the theme first, and then PHP to 8, or vice versa? Of course I first updated the theme, then cleared the cache and only then the PHP version. Sincerely, Thorsten
Support Team
Support Team posted this 2 weeks ago

Добрый день, Виктор,

Немного странно, потому что обычно такое помогает - чистить кеш и перезапустить тему. Может ли быть, что эта тема очень старая? Версию можно проверить через Help (?) в правом верхнем углу темы >> About.

Sincerely,
Nettie

Добрый день, Виктор, Немного странно, потому что обычно такое помогает - чистить кеш и перезапустить тему. Может ли быть, что эта тема очень старая? Версию можно проверить через Help (?) в правом верхнем углу темы >> About. Sincerely, Nettie

Last edited 2 weeks ago by Support Team

Support Team
Support Team posted this 2 weeks ago

Hello Michiel,

An update with more fixes for Joomla 4 including the menu fix is expected really soon. Please follow update notifications for the theme but I will also update this topic and create a new one as soon as the update it out.

Sincerely,
Nettie

Hello Michiel, An update with more fixes for Joomla 4 including the menu fix is expected really soon. Please follow update notifications for the theme but I will also update this topic and create a new one as soon as the update it out. Sincerely, Nettie
Виктор
105 Posts
Виктор posted this 2 weeks ago

Nettie, по вашей рекомендации: очистить кеш браузера, а затем включите и выключите бета-обновления, а затем снова включите параметр.
Не помогло.
Буду ждать полной версии, спасибо.

Nettie, по вашей рекомендации: *очистить кеш браузера, а затем включите и выключите бета-обновления, а затем снова включите параметр.* **Не помогло.** Буду ждать полной версии, спасибо.

Last edited 2 weeks ago by Виктор

info295
21 Posts
info295 posted this 2 weeks ago

nettie,

Any update when the menu position is working again? We urgently need it :(
Thank you!

Regards,
Michiel

nettie, Any update when the menu position is working again? We urgently need it :( Thank you! Regards, Michiel
You must log in or register to leave comments